LogLevel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jagatoo.logging
Enum LogLevel

    java.lang.Object
      java.lang.Enum<LogLevel>
          org.jagatoo.logging.LogLevel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LogLevel>

    public enum LogLevel

extends java.lang.Enum<LogLevel>

Use these constants as parameter for the Log methods.

Author:
  Marvin Froehlich (aka Qudus)

Enum Constant Summary
`DEBUG` debugging information, usually turned off
`ERROR` a serious error has been detected
`EXCEPTION` an unexcepted exception occured
`EXHAUSTIVE` everything goes here, this is expensive
`PROFILE` debugging information, usually turned off
`REGULAR` regular logging output

Field Summary
`byte` | `level`
`static LogLevel` | `MINIMUM`

Method Summary
`int` | `compareLevel(LogLevel logLevel)`
`boolean` | `isError()`
`static boolean` | `isError(int logLevel)`
`boolean` | `isSmallerOrEqual(LogLevel logLevel)`
`static LogLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LogLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ERROR

    public static final LogLevel ERROR

  a serious error has been detected

### EXCEPTION

    public static final LogLevel EXCEPTION

  an unexcepted exception occured

### REGULAR

    public static final LogLevel REGULAR

  regular logging output

### EXHAUSTIVE

    public static final LogLevel EXHAUSTIVE

  everything goes here, this is expensive

### DEBUG

    public static final LogLevel DEBUG

  debugging information, usually turned off

### PROFILE

    public static final LogLevel PROFILE

  debugging information, usually turned off

Field Detail

### level

    public final byte level

### MINIMUM

    public static final LogLevel MINIMUM

Method Detail

### values

    public static LogLevel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LogLevel c : LogLevel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LogLevel valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### isError

    public final boolean isError()

### isError

    public static final boolean isError(int logLevel)

### compareLevel

    public final int compareLevel(LogLevel logLevel)

### isSmallerOrEqual

    public final boolean isSmallerOrEqual(LogLevel logLevel)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD